Bug 1789189 - libmodulemd FTBFS since glib2 updated to 2.63.2
Summary: libmodulemd FTBFS since glib2 updated to 2.63.2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libmodulemd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen Gallagher
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-01-09 00:50 UTC by Charalampos Stratakis
Modified: 2020-01-24 17:46 UTC (History)
3 users (show)

Fixed In Version: libmodulemd-2.8.3-1.fc31 libmodulemd-2.8.3-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-14 01:16:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Charalampos Stratakis 2020-01-09 00:50:35 UTC
Snippet of the errors which started since the glib2 rebase:

In file included from /usr/lib64/glib-2.0/include/glibconfig.h:9,
                 from /usr/include/glib-2.0/glib/gtypes.h:32,
                 from /usr/include/glib-2.0/glib/galloca.h:32,
                 from /usr/include/glib-2.0/glib.h:30,
                 from ../modulemd/tests/test-modulemd-buildopts.c:14:
/usr/include/glib-2.0/glib/gmacros.h:1028:49: error: redefinition of 'glib_autoptr_clear_GDate'
 1028 | #define _GLIB_AUTOPTR_CLEAR_FUNC_NAME(TypeName) glib_autoptr_clear_##TypeName
      |                                                 ^~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gmacros.h:1044:36: note: in expansion of macro '_GLIB_AUTOPTR_CLEAR_FUNC_NAME'
 1044 |   static G_GNUC_UNUSED inline void _GLIB_AUTOPTR_CLEAR_FUNC_NAME(TypeName) (TypeName *_ptr)                     \
      |                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gmacros.h:1061:3: note: in expansion of macro '_GLIB_DEFINE_AUTOPTR_CLEANUP_FUNCS'
 1061 |   _GLIB_DEFINE_AUTOPTR_CLEANUP_FUNCS(TypeName, TypeName, func)
      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
../modulemd/include/private/glib-extensions.h:16:1: note: in expansion of macro 'G_DEFINE_AUTOPTR_CLEANUP_FUNC'
   16 | G_DEFINE_AUTOPTR_CLEANUP_FUNC (GDate, g_date_free);
      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gmacros.h:1028:49: note: previous definition of 'glib_autoptr_clear_GDate' was here
 1028 | #define _GLIB_AUTOPTR_CLEAR_FUNC_NAME(TypeName) glib_autoptr_clear_##TypeName
      |                                                 ^~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gmacros.h:1044:36: note: in expansion of macro '_GLIB_AUTOPTR_CLEAR_FUNC_NAME'
 1044 |   static G_GNUC_UNUSED inline void _GLIB_AUTOPTR_CLEAR_FUNC_NAME(TypeName) (TypeName *_ptr)                     \
      |                                    ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/gmacros.h:1061:3: note: in expansion of macro '_GLIB_DEFINE_AUTOPTR_CLEANUP_FUNCS'
 1061 |   _GLIB_DEFINE_AUTOPTR_CLEANUP_FUNCS(TypeName, TypeName, func)
      |   ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
/usr/include/glib-2.0/glib/glib-autocleanups.h:50:1: note: in expansion of macro 'G_DEFINE_AUTOPTR_CLEANUP_FUNC'
   50 | G_DEFINE_AUTOPTR_CLEANUP_FUNC(GDate, g_date_free)
      | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Koschei: https://koschei.fedoraproject.org/package/libmodulemd?

This currently blocks the Python 3.9 initial bootstraping sequence, as rpkg depends on libmodulemd

Comment 1 Stephen Gallagher 2020-01-09 01:13:01 UTC
This is fixed upstream by https://github.com/fedora-modularity/libmodulemd/commit/784f2754fe5e45ee6b9b1aede155048f51a16c39

I'm going to do a release today or tomorrow that includes it.

Comment 2 Charalampos Stratakis 2020-01-09 01:17:37 UTC
(In reply to Stephen Gallagher from comment #1)
> This is fixed upstream by
> https://github.com/fedora-modularity/libmodulemd/commit/
> 784f2754fe5e45ee6b9b1aede155048f51a16c39
> 
> I'm going to do a release today or tomorrow that includes it.

Thank you!

Comment 3 Fedora Update System 2020-01-10 01:03:00 UTC
libmodulemd-2.8.3-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8f09817f49

Comment 4 Fedora Update System 2020-01-10 01:43:16 UTC
libmodulemd-2.8.3-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-1e664de30f

Comment 5 Fedora Update System 2020-01-10 02:20:15 UTC
libmodulemd2-2.8.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-6099567bd5

Comment 6 Fedora Update System 2020-01-14 01:16:15 UTC
libmodulemd-2.8.3-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2020-01-18 03:31:56 UTC
libmodulemd-2.8.3-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-01-24 17:46:29 UTC
libmodulemd2-2.8.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.